package com.huimv.environ.eco.service.impl;

import cn.hutool.core.util.ObjectUtil;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.huimv.common.utils.Result;
import com.huimv.common.utils.ResultCode;
import com.huimv.environ.eco.entity.SysMonthEle;
import com.huimv.environ.eco.entity.envVo.EnergyResult;
import com.huimv.environ.eco.mapper.SysMonthEleMapper;
import com.huimv.environ.eco.service.ISysMonthEleService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author newspaper
 * @since 2024-05-15
 */
@Service
public class SysMonthEleServiceImpl extends ServiceImpl<SysMonthEleMapper, SysMonthEle> implements ISysMonthEleService {

    @Autowired
    private SysMonthEleMapper sysMonthEleMapper;
    @Override
    public Result listEle(Map<String, String> map) {
        String floorId = map.get("floorId");
        if (ObjectUtil.isEmpty(floorId)){
            floorId = "1";
        }
        List roomList = new ArrayList();
        if ("1".equals(floorId)){
            for (int i = 145; i<=168; i++){
                roomList.add(i);
            }
        }else if ("2".equals(floorId)){
            for (int i = 169; i<=192; i++){
                roomList.add(i);
            }
        }else {
            for (int i = 193; i<=216; i++){
                roomList.add(i);
            }
        }
        List<EnergyResult> ele = sysMonthEleMapper.getEle(roomList);
        return new Result(ResultCode.SUCCESS,ele);
    }
}
