package com.huimv.environ.eco.timer;

import com.huimv.environ.eco.entity.SysFodder;
import com.huimv.environ.eco.entity.SysMonthEle;
import com.huimv.environ.eco.entity.SysMonthWater;
import com.huimv.environ.eco.service.ISysFodderService;
import com.huimv.environ.eco.service.ISysMonthEleService;
import com.huimv.environ.eco.service.ISysMonthWaterService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

import java.util.Date;
import java.util.Random;

@Component
public class EnergyTimer {

    @Autowired
    private ISysMonthWaterService sysMonthWaterService;
    @Autowired
    private ISysMonthEleService sysMonthEleService;
    @Autowired
    private ISysFodderService sysFodderService;

    @Scheduled(cron = "0 0 * * * ? ")
//    @Scheduled(cron = "0 0/1 * * * ? ")
    public void saveEnergy(){
        for (int i = 145; i <= 216; i++){
            float randomWaterValue = 0.7f + (float)Math.random() * 0.3f;
            float randomEleValue = 8.0f + (float)Math.random() * 2.0f;
            SysMonthWater sysMonthWater = new SysMonthWater();
            sysMonthWater.setCreateTime(new Date());
            sysMonthWater.setFarmId(1);
            sysMonthWater.setRoomId(i);
            sysMonthWater.setIncreaseValue(String.format("%.2f",randomWaterValue));
            sysMonthWaterService.save(sysMonthWater);

            SysMonthEle sysMonthEle = new SysMonthEle();
            sysMonthEle.setCreateTime(new Date());
            sysMonthEle.setFarmId(1);
            sysMonthEle.setRoomId(i);
            sysMonthEle.setIncreaseValue(String.format("%.2f",randomEleValue));
            sysMonthEleService.save(sysMonthEle);
        }

        for (int i = 1; i <= 3; i++){
            float randomFoodValue = 80.0f + (float)Math.random() * 15.0f;
            SysFodder sysFodder = new SysFodder();
            sysFodder.setCreateTime(new Date());
            sysFodder.setFarmId(1);
            sysFodder.setFloorId(i);
            sysFodder.setValue(Double.valueOf(String.format("%.2f",randomFoodValue)));
            sysFodderService.save(sysFodder);
        }
    }
}
